| Home | Libraries | People | FAQ | More

### basic_socket_iostream

Iostream interface for a socket.

    template<
        typename Protocol,
        typename StreamSocketService = stream_socket_service<Protocol>>
    class basic_socket_iostream

##### Member Functions

Name | Description
--- | ---
basic_socket_iostream | Construct a basic_socket_iostream without establishing a connection.
close | Close the connection.
connect | Establish a connection to an endpoint corresponding to a resolver query.
rdbuf | Return a pointer to the underlying streambuf.